// $Id$

/***************************************************************************
 *   Copyright (C) 2004 by Thomas Fischer                                  *
 *   fischer@unix-ag.uni-kl.de                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <bibtexcomment.h>

BibTeXComment::BibTeXComment(const QString &comment, QObject *parent, const char *name)
        : BibTeXElement(parent, name), comment_(comment)
{}

BibTeXComment::~BibTeXComment()
{}

void BibTeXComment::setComment(const QString &comment)
{
    comment_=comment;
}

QString BibTeXComment::comment()
{
    return comment_;
}

QString BibTeXComment::toBibTeXString()
{
    return QString("@comment {").append(comment_).append("}");
}

BibTeXElement::ElementType BibTeXComment::elementType()
{
    return BibTeXElement::etComment;
}

#include "bibtexcomment.moc"
