// $Id$

/***************************************************************************
*   Copyright (C) 2004 by Thomas Fischer                                  *
*   fischer@unix-ag.uni-kl.de                                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#ifndef KBIBTEXFIELDLISTVIEWITEM_H
#define KBIBTEXFIELDLISTVIEWITEM_H

#include <klistview.h>
#include <bibtexentry.h>

class QString;

/**
@author Thomas Fischer
*/
class KBibTeXFieldListViewItem : public KListViewItem
{
public:
    KBibTeXFieldListViewItem( BibTeXEntry::FieldType fieldType, QString fieldName, QString fieldValue, QListView *parent, const char* name = NULL );
    ~KBibTeXFieldListViewItem();

    BibTeXEntry::FieldType fieldType();
    QString fieldName();
    QString fieldValue();
    void setFieldType( BibTeXEntry::FieldType fieldType );
    void setFieldName( QString fieldName );
    void setFieldValue( QString fieldValue );

    void updateItem();

private:
    BibTeXEntry::FieldType m_fieldType;
    QString m_fieldName;
    QString m_fieldValue;

    void setTexts();
};

#endif
